program CDA1;

{$APPTYPE CONSOLE}

uses
  SysUtils,
  WDosAudioCD;

var
  r, I: Integer;
  dscnfo: TDiscInfo;
  len: TRedBook;
  S: string;

begin
  writeln('cdaReady: ', cdaReady, ' (is MSCDEX installed?)');
  if not cdaReady then halt;
  if not cdaIsDiscInDrive then
  begin
    writeln('Drive not ready (no disc in drive)');
    halt;
  end;
  if not cdaIsAudioTrack(1) then
  begin
    writeln('first track is a data track');
    writeln('(mixed CDs are not supported by this stupid example program)');
    halt;
  end;
  writeln('cdaCalcID: ', cdaCalcID);
  r := cdaLoadCDPlayerIni('cdplayer.ini');
  writeln('cdaLoadCDPlayerIni: ', r);
  if r = 1 then writeln(cdaArtist + ' : ' + cdaTitle);
  dscnfo := cdaGetDiscInfo;
  writeln('first track: ', dscnfo.first, ' last track: ', dscnfo.last);
  for I := dscnfo.first to dscnfo.last do
    if cdaIsAudioTrack(I) then
    begin
      len := cdaGetTrackLength(I);
      Write('Track ', I, ' ', len.minute, ':', len.second);
      if r = 1 then Write(' ', cdaTracks[I]);
      writeln;
    end;
  writeln('[Q]UIT, [C]URRENT, [P]AUSE, [R]ESUME, [T]RACKxx, PLAY [F]ROMxx, [S]TOP');
  writeln('eg. to play track 2 type t2');
  repeat
    Write('>');
    readln(S);
    case S[1] of
      't':
        begin
          delete(S, 1, 1);
          cdaPlayTrack(strtoint(S));
        end;
      'f':
        begin
          delete(S, 1, 1);
          cdaPlayFromTrack(strtoint(S));
        end;
      's':
        begin
          cdaStop;
        end;
      'c':
        begin
          writeln(cdaGetTrack);
        end;
      'p':
        begin
          cdaPause;
        end;
      'r':
        begin
          cdaResume;
        end;
    end;
  until S = 'q';
end.

