program LFN1;

{$APPTYPE CONSOLE}

uses
  WDosLFN, SysUtils;

var
  data:array [0..8] of char='test file';

var
  h:word; //handle to newly created file
  res:integer; //result of LFindFirst/LFindNext
  sr:TSearchRec;

begin
  writeln('IsLFNSupported=',IsLFNSupported);
  if not islfnsupported then halt;
  writeln('Creating folder: ''this folder has a long name''');
  writeln('result: ',LMkDir('this folder has a long name'));
  writeln('Changing directory, result: ',LChDir('this folder has a long name'));
  writeln('Creating a new file');
  h:=LCreateFile('file_with_a_long_filename.test',faArchive);
  writeln('Handle (0 if there was an error) : ',h);
  writeln('Writing something to the file');
  writeln('bytes written: ',LWriteFile(h,data,9));
  writeln('Closing file...');
  LCloseFile(h);
  writeln('Now listing folder content');
  res:=LFindFirst('*.*',faArchive or faReadOnly or faDirectory,sr);
  while res=0 do begin
    writeln('[name] ',sr.name,' [attribute] ',sr.attr,' [size] ',sr.size);
    res:=LFindNext(sr);
  end;
  LFindClose(sr);
  writeln('- the end -');
end.
