unit Unit1;

interface

{.$DEFINE VCL}

{$IFDEF VCL}
uses
  SysUtils, Classes, Controls, StdCtrls, Menus, Forms, ExtCtrls, Dialogs;
{$ELSE}
uses
  SysUtils, Classes, QGraphics, QControls,
  QForms, QStdCtrls, QMenus, QDialogs, QExtCtrls;
{$ENDIF}

type
  TForm1 = class(TForm)
    ComboBox1: TComboBox;
    ComboBox2: TComboBox;
    Button1: TButton;
    Edit1: TEdit;
    Edit3: TEdit;
    Button2: TButton;
    Button3: TButton;
    Edit4: TEdit;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    Edit5: TEdit;
    Button9: TButton;
    Button10: TButton;
    cbxStyle: TComboBox;
    Button11: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure ComboBox2Change(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure ComboBox1Change(Sender: TObject);
    procedure ComboBox2Select(Sender: TObject);
    procedure ComboBox2Click(Sender: TObject);
    procedure Button11Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  ComboBox1.Items.Add(Edit1.Text);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  ComboBox2.Text := Edit3.Text;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  Edit3.Text := ComboBox2.Text;
end;

procedure TForm1.ComboBox2Change(Sender: TObject);
begin
  ShowMessage('ComboBox2.OnChange');
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  Edit4.Text := IntToStr(ComboBox2.ItemIndex);
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  ComboBox2.ItemIndex := StrToIntDef(Edit4.Text, 0);
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
  ComboBox2.Visible := not ComboBox2.Visible; 
end;

procedure TForm1.Button7Click(Sender: TObject);
begin
  ComboBox2.Enabled := not ComboBox2.Enabled;
end;

procedure TForm1.Button8Click(Sender: TObject);
begin
  ComboBox2.MaxLength := StrToInt(Edit5.Text);
end;

procedure TForm1.Button10Click(Sender: TObject);
begin
  ComboBox1.Clear;
end;

procedure TForm1.Button9Click(Sender: TObject);
begin
  ComboBox1.Sorted := not ComboBox1.Sorted; 
end;

procedure TForm1.ComboBox1Change(Sender: TObject);
begin
  Caption := Caption + '*';
end;

procedure TForm1.ComboBox2Select(Sender: TObject);
begin
  Caption := Caption + IntToStr(ComboBox2.ItemIndex);
end;

procedure TForm1.ComboBox2Click(Sender: TObject);
begin
  Caption := Caption + 'c';
end;

procedure TForm1.Button11Click(Sender: TObject);
begin
  case cbxStyle.ItemIndex of
    0: ComboBox2.Style := csDropDown;
    1: ComboBox2.Style := csDropDownList;
    2: ComboBox2.Style := csOwnerDrawFixed;
    3: ComboBox2.Style := csOwnerDrawVariable;
  end;
end;
    
end.
