unit Unit1;

interface

{$IFDEF VCL}
uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;
{$ELSE}
uses
  SysUtils, Classes, QGraphics, QControls,
  QForms, QStdCtrls, QMenus, QDialogs;
{$ENDIF}


type
  TForm1 = class(TForm)
    Label1: TLabel;
    btnShow2: TButton;
    btnHide2: TButton;
    btnModal2: TButton;
    Label2: TLabel;
    btnShow3: TButton;
    btnHide3: TButton;
    btnModal3: TButton;
    procedure btnShow2Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure btnHide2Click(Sender: TObject);
    procedure btnModal2Click(Sender: TObject);
    procedure btnShow3Click(Sender: TObject);
    procedure btnHide3Click(Sender: TObject);
    procedure btnModal3Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

uses Unit2, Unit3;

{$R *.dfm}

procedure TForm1.btnShow2Click(Sender: TObject);
begin
  Form2.Show;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  BorderStyle := fbsDialog;
end;

procedure TForm1.btnHide2Click(Sender: TObject);
begin
  Form2.Hide;
end;

procedure TForm1.btnModal2Click(Sender: TObject);
var
  ModalResult: Integer;
  S: string;
begin
  ModalResult := Form2.ShowModal;
  case ModalResult of
    mrNone: S := 'mrNone';
    mrOK: S := 'mrOK';
    mrCancel: S := 'mrCancel';
  else
    S := 'unknown';
  end;
  ShowMessage(Format('Form2 modal result is: ''%s'' = %d', [S, ModalResult]));
end;

procedure TForm1.btnShow3Click(Sender: TObject);
begin
  Form3.Show;
end;

procedure TForm1.btnHide3Click(Sender: TObject);
begin
  Form3.Hide;
end;

procedure TForm1.btnModal3Click(Sender: TObject);
var
  ModalResult: Integer;
  S: string;
begin
  ModalResult := Form3.ShowModal;
  case ModalResult of
    mrNone: S := 'mrNone';
    mrOK: S := 'mrOK';
    mrCancel: S := 'mrCancel';
  else
    S := 'unknown';
  end;
  ShowMessage(Format('Form3 modal result is: ''%s'' = %d', [S, ModalResult]));
end;

end.
