unit Unit2;

interface

{$IFDEF VCL}
uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;
{$ELSE}
uses
  SysUtils, Classes, QGraphics, QControls,
  QForms, QStdCtrls, QMenus, QDialogs;
{$ENDIF}

type
  TForm2 = class(TForm)
    btnOK: TButton;
    btnCancel: TButton;
    btnClose: TButton;
    Label2: TLabel;
    btnShow3: TButton;
    btnHide3: TButton;
    btnModal3: TButton;
    procedure btnCloseClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure btnHide3Click(Sender: TObject);
    procedure btnModal3Click(Sender: TObject);
    procedure btnShow3Click(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form2: TForm2;

implementation

uses Unit3;

{$R *.dfm}

procedure TForm2.btnCloseClick(Sender: TObject);
begin
  Close;
end;

procedure TForm2.FormCreate(Sender: TObject);
begin
  BorderStyle := fbsDialog;
end;

procedure TForm2.btnHide3Click(Sender: TObject);
begin
  Form3.Hide;
end;

procedure TForm2.btnModal3Click(Sender: TObject);
var
  ModalResult: Integer;
  S: string;
begin
  ModalResult := Form3.ShowModal;
  case ModalResult of
    mrNone: S := 'mrNone';
    mrOK: S := 'mrOK';
    mrCancel: S := 'mrCancel';
  else
    S := 'unknown';
  end;
  ShowMessage(Format('Form3 modal result is: ''%s'' = %d', [S, ModalResult]));
end;

procedure TForm2.btnShow3Click(Sender: TObject);
begin
  Form3.Show;
end;


end.
