unit Unit2;

interface

{$IFDEF VCL}
uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;
{$ELSE}
uses
  SysUtils, Classes, QGraphics, QControls,
  QForms, QStdCtrls, QMenus, QDialogs;
{$ENDIF}

type
  TForm2 = class(TForm)
    btnOK: TButton;
    btnCancel: TButton;
    btnClose: TButton;
    btnConstraints: TButton;
    lblMaxHeight: TLabel;
    edtMaxheight: TEdit;
    lblMaxWidth: TLabel;
    edtMaxWidth: TEdit;
    lblMinHeight: TLabel;
    edtMinHeight: TEdit;
    lblMinWidth: TLabel;
    edtMinWidth: TEdit;
    btnReset: TButton;
    procedure btnCloseClick(Sender: TObject);
    procedure btnResetClick(Sender: TObject);
    procedure btnConstraintsClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form2: TForm2;

implementation

{$R *.dfm}

procedure TForm2.btnCloseClick(Sender: TObject);
begin
  Close;
end;

procedure TForm2.btnResetClick(Sender: TObject);
begin
  edtMaxheight.Text := '0';
  edtMaxWidth.Text := '0';
  edtMinHeight.Text := '0';
  edtMinWidth.Text := '0';
  btnConstraints.Click;
end;

procedure TForm2.btnConstraintsClick(Sender: TObject);
begin
  Constraints.MaxHeight := StrToInt(edtMaxHeight.Text);
  Constraints.MinHeight := StrToInt(edtMinHeight.Text);
  Constraints.MaxWidth := StrToInt(edtMaxWidth.Text);
  Constraints.MinWidth := StrToInt(edtMinWidth.Text);
end;

procedure TForm2.FormShow(Sender: TObject);
begin
  edtMaxHeight.Text := IntToStr(Constraints.MaxHeight);
  edtMinHeight.Text := IntToStr(Constraints.MinHeight);
  edtMaxWidth.Text := IntToStr(Constraints.MaxWidth);
  edtMinWidth.Text := IntToStr(Constraints.MinWidth);
end;

end.
