unit Unit1;

interface

{$IFDEF VCL}
uses
  Classes, Controls, StdCtrls, Menus, Forms, ExtCtrls;
{$ELSE}
uses
  SysUtils, Classes, QGraphics, QControls,
  QForms, QStdCtrls, QMenus, QDialogs, QExtCtrls;
{$ENDIF}

type
  TForm1 = class(TForm)
    btnTest1: TButton;
    ListBox1: TListBox;
    btnClear: TButton;
    btnExit: TButton;
    btnTest2: TButton;
    btnTest3: TButton;
    procedure btnTest3Click(Sender: TObject);
    procedure btnClearClick(Sender: TObject);
    procedure btnExitClick(Sender: TObject);
    procedure btnTest1Click(Sender: TObject);
    procedure btnTest2Click(Sender: TObject);
  private
    FZ: Variant;
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  published
    property Z: Variant read FZ write FZ;
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

uses
  VarCmplx;

procedure TForm1.btnClearClick(Sender: TObject);
begin
  ListBox1.Clear;
end;

procedure TForm1.btnExitClick(Sender: TObject);
begin
  Close;
end;

procedure TForm1.btnTest1Click(Sender: TObject);
var
  X: Variant;
  D: Double;
  S: string;
begin
  X := VarComplexCreate;
  X.Real := 3.0;
  X.Imaginary := -4.0;

  D := X.Real;
  S := Format('X.Real = %g', [D]);
  ListBox1.Items.Add(S);

  D := X.Imaginary;
  S := Format('X.Imaginary = %g', [D]);
  ListBox1.Items.Add(S);

  D := X.Radius;
  S := Format('X.Radius = %g', [D]);
  ListBox1.Items.Add(S);

  D := X.Theta;
  S := Format('X.Theta = %g', [D]);
  ListBox1.Items.Add(S);

  D := X.FixedTheta;
  S := Format('X.FixedTheta = %g', [D]);
  ListBox1.Items.Add(S);

  S := 'X = ' + X;
  ListBox1.Items.Add(S);
end;

procedure TForm1.btnTest2Click(Sender: TObject);
var
  X, Y: Variant;
begin
  X := VarComplexCreate(3.0, -4.0);
  Y := VarComplexSin(X);
  ListBox1.Items.Add(Y);

  X := VarComplexCreate('3.0 -4.0i');
  Y := VarComplexCos(X);
  ListBox1.Items.Add(Y);
end;

procedure TForm1.btnTest3Click(Sender: TObject);
var
  Y, A, B, C: Variant;
begin
  A := VarComplexCreate(1.23, 4.56);
  B := VarComplexCreate(2.34, 5.67);
  C := VarComplexCreate(3.45, 6.78);

  Y := - A;
  ListBox1.Items.Add(Y);

  Y := A + B - C;
  ListBox1.Items.Add(Y);

  Y := A * B / C;
  ListBox1.Items.Add(Y);

  Z := B + 10.5 + 3 + '2 + 3i' + VarComplexLn(-C);
  ListBox1.Items.Add(Z);
end;

end.
