{ Invokable-Interface IEuro }

unit EuroIntf;

interface

uses InvokeRegistry, Types, XSBuiltIns;

type

  { Invokable-Interfaces mssen von IInvokable bageleitet sein }
  IEuro = interface(IInvokable)
  ['{B1B11EDB-F2A0-40AC-B52A-62C949A895A2}']
    function FromEuro(const Currency: WideString; Amount: Double): Double; stdcall;
    function ToEuro(const Currency: WideString; Amount: Double): Double; stdcall;
    { Methoden des Invokable-Interface drfen nicht die Standard- }
    { Aufrufkonvention benutzen; stdcall wird empfohlen }
  end;

implementation

initialization
  { Invokable-Interfaces mssen registriert werden }
  InvRegistry.RegisterInterface(TypeInfo(IEuro));

end.
