program HPT1;

{
  this program is for test about the memory manager bug with Delphi 2 up
  and Win9x. For a detailed description of the problem see FAQ page at
  http://www.dwp42.org
} 

uses
//  WDosWinMM,  { uncomment to see the difference in a Windows DOS box }
//  WDosAlpMM,  { this seems not to work Lszl, i get an access violation :-( }
  WDosMM,     { use a Borland CPP 5.0 memory manager dll 'MEMMGR.WDL' }
  SysUtils, Classes;

type
  PKByte = ^TKByte;
  TKByte = array[0..1023] of Byte;

procedure Run;
var
  List: TList;                          // reference list to all created KByte arrays
  I, K: Integer;                        // index counters
  P: PKByte;                            // pointer to a KByte array on heap
  Pattern: Byte;                        // the fill pattern
  PatternOk: Boolean;                   // pattern test flag
  ErrorPattern: Byte;                   // the wrong pattern
  Phase: Integer;                       // marker for phase where the exception occures
  BlockNo: Integer;
begin

Phase := 0;

  List :=TList.Create;                  // create a pointer list
  try
    Pattern :=0;                        // init the fill pattern
//    for I := 0 to 1024 do             // create a number of KByte arrays
    while True do                       // alternative create as much as possible
    begin

Phase := 0;

      New(P);                           // create a KByte array

Phase := 1;

      try
        FillChar(P[0], 1024, Pattern);  // fill the KByte with actual pattern

Phase := 2;

        Inc(Pattern);                   // change the pattern
        List.Add(P);                    // add KByte to pointer list

Phase := 3;

        P :=nil;                        // nil the KByte pointer
      finally
        Dispose(P);                     // dispose KByte when an error occured
      end;
    end;
  finally

Writeln('Error at ', Phase);            // the Win9x Error should occure in
                                        // phase 0.
                                        // the Error should be EOutOfMemory
                                        // but is EAccessViolation

    Writeln(Format('%d kByte blocks allocated', [List.Count]));
                                        // write number of KBytes on heap
    Pattern := 0;                       // init the pattern test
    BlockNo := 0;

    try

    for I :=0 to List.Count -1 do       // check and free every created KByte array
    begin
      BlockNo := I;
      P := List[I];                     // get an KByte array
      PatternOk := True;                // init Test flag
      ErrorPattern := 0;                // init ErrorPattern
      for K := 0 to 1023 do             // check every byte in KByte
        if P[K] <> Pattern then
        begin                           // if the pattern is wrong:
          ErrorPattern := P[K];         // store the error pattern
          PatternOk := False;           // clear test flag
          Break;                        // leave the loop
        end;
      if not PatternOk then             // check test flag
                                        // display test result
        Writeln('should be: ', Pattern, ' is: ', ErrorPattern);
      Inc(Pattern);                     // next pattern
      Dispose(P);                       // free KByte array
    end;
    List.Free;                          // free list
    Writeln('all blocks checked');

    except
      Writeln(BlockNo);
      raise;
    end;
  end;  
end;

begin
{$IFDEF MSWINDOWS}
{$WARN SYMBOL_PLATFORM OFF}
  DebugHook := 0;
{$WARN SYMBOL_PLATFORM ON}
{$ENDIF}
  try
    Run;
  except
    on E: Exception do
      Writeln(E.Message);
  end;
end.
