
{*******************************************************}
{                                                       }
{ WCLX DWP Cross Platform Component library             }
{ TutorConst.pas                                        }
{                                                       }
{ for Delphi 4, 5, 6, 7                                 }
{ Version 2.6.0                                         }
{ Copyright (c) 2003 by Team-DWP                        }
{ e-mail: team-dwp@dwp42.org                            }
{ www: http://www.dwp42.org                             }
{                                                       }
{ The initial developer of the code is                  }
{   Oleg A. Bachin, bachin@cis-kiev.com                 }
{                                                       }
{ This file may be distributed and/or modified under    }
{ the terms of the GNU General Public License (GPL)     }
{ version 2 as published by the Free Software           }
{ Foundation and appearing at                           }
{ http://www.dwp42.org/license/gpl.html.                }
{                                                       }
{ this software contains portions from:                 }
{                                                       }
{   - Turbo Vision 2.0 Demo                             }
{     Copyright (c) 1992 by Borland International       }
{     www: http://www.borland.com                       }
{                                                       }
{ Please inform you about special copyrights for these  }
{ portions on the apropriate web pages.                 }
{                                                       }
{*******************************************************}
{
  $Header: /cvsroot/dwpl/dwpl/demos/turbovision/editors/TutorConst.pas,v 1.1 2003/11/06 20:29:00 iwache Exp $
  ----------------------------------------------------------------------------

  $Log: TutorConst.pas,v $
  Revision 1.1  2003/11/06 20:29:00  iwache
  Demo project for ViEditors with direct Vi layer access added.

  ----------------------------------------------------------------------------
}

unit TutorConst;

{ Contains global constants for Turbo Vision Tutorial }

interface

const
  cmOrderNew = 251;
  cmOrderWin = 252;
  cmOrderSave = 253;
  cmOrderCancel = 254;
  cmOrderNext = 255;
  cmOrderPrev = 250;
  cmClipShow = 260;
  cmAbout = 270;
  cmShowClipboard = 280;
  cmColorSelect = 290;
  cmFindOrderWindow = 2000;

const
  cmOptionsVideo = 1502;
  cmOptionsSave = 1503;
  cmOptionsLoad = 1504;

const
  cmStockNew = 241;
  cmStockWin = 242;
  cmStockSave = 243;
  cmStockCancel = 244;
  cmStockNext = 245;
  cmStockPrev = 240;

const
  cmSupplierNew = 231;
  cmSupplierWin = 232;
  cmSupplierSave = 233;
  cmSupplierCancel = 234;
  cmSupplierNext = 235;
  cmSupplierPrev = 230;


implementation

end.
