{
  $Header: /cvsroot/dwpl/dwpl/source/clx/wq/vi/wdosx/WDosSyncs.pas,v 1.2 2002/10/27 22:25:25 iwache Exp $
  ----------------------------------------------------------------------------

  $Log: WDosSyncs.pas,v $
  Revision 1.2  2002/10/27 22:25:25  iwache
  CVS tags "Header" and "Log" added.

  ----------------------------------------------------------------------------
}
unit WDosSyncs;

interface

type
  TInterruptSync = class (TObject)
  private
    FLockCnt: Integer;
    FFlags: Longword;
  protected
    function Locked: Boolean;
    procedure SetLocking(Updating: Boolean);
  public
    procedure Lock;
    procedure UnLock;
  end;

implementation

{
******************************** TInterruptSync ********************************
}
procedure TInterruptSync.Lock;
begin
  Inc(FLockCnt);
  if FLockCnt = 1 then SetLocking(False);
end;

function TInterruptSync.Locked: Boolean;
begin
  Result := (FLockCnt <> 0);
end;

procedure TInterruptSync.SetLocking(Updating: Boolean);
asm
        PUSH    EBX
        TEST    DL,DL
        JNZ     @@1
        PUSHFD
        POP     EBX
        MOV     TInterruptSync[EAX].FFlags,EBX
        CLI
        JMP     @@2
      @@1:
        MOV     EBX,TInterruptSync[EAX].FFlags
        PUSH    EBX
        POPFD
      @@2:
        POP     EBX
end;

procedure TInterruptSync.UnLock;
begin
  Dec(FLockCnt);
  if FLockCnt = 0 then SetLocking(True);
end;

end.
