unit Unit1;

interface

{$IFDEF VCL}
uses
  Classes, Controls, StdCtrls, Menus, Forms, ExtCtrls;
{$ELSE}
uses
  SysUtils, Classes, QGraphics, QControls,
  QForms, QStdCtrls, QMenus, QDialogs, QExtCtrls;
{$ENDIF}

type
  TForm1 = class(TForm)
    Panel2: TPanel;
    Panel3: TPanel;
    Panel4: TPanel;
    Panel5: TPanel;
    btnCaption: TButton;
    edtCaption: TEdit;
    Panel1: TPanel;
    cbxLeft: TCheckBox;
    lblAnchors: TLabel;
    cbxTop: TCheckBox;
    cbxRight: TCheckBox;
    cbxBottom: TCheckBox;
    procedure btnCaptionClick(Sender: TObject);
    procedure cbxRightClick(Sender: TObject);
    procedure cbxBottomClick(Sender: TObject);
    procedure cbxLeftClick(Sender: TObject);
    procedure cbxTopClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.btnCaptionClick(Sender: TObject);
begin
  Panel1.Caption := edtCaption.Text;
end;

procedure TForm1.cbxRightClick(Sender: TObject);
begin
  if cbxRight.Checked then
    Panel1.Anchors := Panel1.Anchors + [akRight]
  else
    Panel1.Anchors := Panel1.Anchors - [akRight];
end;

procedure TForm1.cbxBottomClick(Sender: TObject);
begin
  if cbxBottom.Checked then
    Panel1.Anchors := Panel1.Anchors + [akBottom]
  else
    Panel1.Anchors := Panel1.Anchors - [akBottom];
end;

procedure TForm1.cbxLeftClick(Sender: TObject);
begin
  if cbxLeft.Checked then
    Panel1.Anchors := Panel1.Anchors + [akLeft]
  else
    Panel1.Anchors := Panel1.Anchors - [akLeft];
end;

procedure TForm1.cbxTopClick(Sender: TObject);
begin
  if cbxTop.Checked then
    Panel1.Anchors := Panel1.Anchors + [akTop]
  else
    Panel1.Anchors := Panel1.Anchors - [akTop];
end;

end.
