
{*******************************************************}
{                                                       }
{ DWPL Demo projects for NetCLX                         }
{ HttpTest.dpr                                          }
{                                                       }
{ for Delphi 6, 7                                       }
{ Version 2.6.0                                         }
{ Copyright (c) 2003 by The DWP-Group                   }
{ e-mail: immo.wache@dwp42.org                          }
{ www: http://www.dwp42.org                             }
{                                                       }
{ This file may be distributed and/or modified under    }
{ the terms of the GNU General Public License (GPL)     }
{ version 2 as published by the Free Software           }
{ Foundation and appearing at                           }
{ http://www.dwp42.org/license/gpl.html.                }
{                                                       }
{ this software contains portions from:                 }
{                                                       }
{   - ICS - Internet Component Suite                    }
{     Copyright (C) 1997-2002 by Franois PIETTE        }
{     e-mail: francois.piette@overbyte.be               }
{             francois.piette@swing.be                  }
{             francois.piette@rtfm.be                   }
{             francois.piette@pophost.eunet.be          }
{     www: http://overbyte.delphicenter.com             }
{     Realeased under the terms of the Legal Issues     }
{     from the ICS - Internet Component Suite           }
{     license agreement.                                }
{                                                       }
{ Please inform you about special copyrights for these  }
{ portions on the apropriate web pages.                 }
{                                                       }
{*******************************************************}

{* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *

Author:       Franois PIETTE
Creation:     November 23, 1997
Version:      1.05
Description:  Sample program to demonstrate some of the THttpCli features.
EMail:        http://www.overbyte.be        http://www.rtfm.be/fpiette
              francois.piette@overbyte.be   francois.piette@rtfm.be
                                            francois.piette@pophost.eunet.be
Support:      Use the mailing list twsocket@elists.org
              Follow "support" link at http://www.overbyte.be for subscription.
Legal issues: Copyright (C) 1997-2002 by Franois PIETTE
              Rue de Grady 24, 4053 Embourg, Belgium. Fax: +32-4-365.74.56
              <francois.piette@overbyte.be>

              This software is provided 'as-is', without any express or
              implied warranty.  In no event will the author be held liable
              for any  damages arising from the use of this software.

              Permission is granted to anyone to use this software for any
              purpose, including commercial applications, and to alter it
              and redistribute it freely, subject to the following
              restrictions:

              1. The origin of this software must not be misrepresented,
                 you must not claim that you wrote the original software.
                 If you use this software in a product, an acknowledgment
                 in the product documentation would be appreciated but is
                 not required.

              2. Altered source versions must be plainly marked as such, and
                 must not be misrepresented as being the original software.

              3. This notice may not be removed or altered from any source
                 distribution.

              4. You must register this software by sending a picture postcard
                 to the author. Use a nice stamp and mention your name, street
                 address, EMail address and any comment you like to say.

 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *}

{
  $Header: /cvsroot/dwpl/dwpl/demos/clx/sockets/httpclient/HttpTest.dpr,v 1.1 2003/09/22 18:55:19 iwache Exp $
  ----------------------------------------------------------------------------

  $Log: HttpTest.dpr,v $
  Revision 1.1  2003/09/22 18:55:19  iwache
  Sample program to demonstrate use of the
  TTHttpClients unit. This is a adapted version
  from original code by Franois PIETTE.

  ----------------------------------------------------------------------------
}

program HttpTest;

{$APPTYPE CONSOLE}

uses
  Forms,
  HttpMain in 'HttpMain.pas' {HttpTestForm};

{$R *.RES}

begin
  Application.CreateForm(THttpTestForm, HttpTestForm);
  Application.Run;
end.
