unit EuroMain;

interface

uses
  SysUtils, Classes, QForms, QControls, QStdCtrls, QTypes, QExtCtrls;

type
  TfrmMain = class(TForm)
    btnClose: TButton;
    Button1: TButton;
    procedure btnCloseClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    procedure ApplicationIdle(Sender: TObject; var Done: Boolean);
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  frmMain: TfrmMain;

implementation

uses SockApp, Sockets;

{$R *.xfm}

procedure TfrmMain.btnCloseClick(Sender: TObject);
begin
  Close;
end;

procedure TfrmMain.Button1Click(Sender: TObject);
var
  Dd, Ds: Integer;
begin
  Dd := 10;
  Ds := 0;
  Writeln(Dd / Ds);
end;

procedure TfrmMain.FormCreate(Sender: TObject);
begin
  Application.OnIdle := ApplicationIdle;
end;

procedure TfrmMain.ApplicationIdle(Sender: TObject; var Done: Boolean);
begin
  Sockets.UpdateNetwork;
end;

initialization
  TWebAppSockObjectFactory.Create('Euro42');
end.
