unit MyThreads;

interface

uses
  Classes, Threads;

type
  TThreadOne = class(TThread)
  private
    FName: string;
  protected
    procedure Execute; override;
  public
    property Name: string read FName write FName;
  end;

  TThreadTwo = class(TThread)
  private
    { Private declarations }
  protected
    procedure Execute; override;
  end;

implementation

{ ThreadOne }

procedure TThreadOne.Execute;
var
  P: Pointer;
  I: Integer;
begin
  for I := 1 to 500 do
  begin
    GetMem(P, 30000);
    WriteLn(Name);
    Sleep(0);
    FreeMem(P);
  end;
  ReturnValue := 42;
end;

{ ThreadTwo }

procedure TThreadTwo.Execute;
var
  P: Pointer;
begin
  repeat
    GetMem(P, 30000);
    WriteLn('Thread 2');
    Sleep(0);
    FillChar(P^, 30000, 0);
    FreeMem(P);
  until Terminated;
end;


end.
