
{*******************************************************}
{                                                       }
{ DWPL Delphi Cross Platform Core Library (rtl)         }
{ WDosCheck.pas                                         }
{                                                       }
{ for Delphi 4, 5, 6                                    }
{ Version 2.0                                           }
{ Copyright (c) 2001 by Immo Wache                      }
{ e-mail: immo.wache@dwp42.org                          }
{ www: http://www.dwp42.org                             }
{                                                       }
{ This file may be distributed and/or modified under    }
{ the terms of the GNU General Public License (GPL)     }
{ version 2 as published by the Free Software           }
{ Foundation and appearing at                           }
{ http://www.dwp42.org/license/gpl.html.                }
{                                                       }
{ this software contains portions from:                 }
{                                                       }
{   - WDOSX DOS Extender                                }
{     Copyright (c) 1996, 1998, Michael Tippach         }
{     e-mail: mtippach@gmx.net                          }
{     www: http://www.wuschel.demon.co.uk               }
{     Realeased under the terms of the WDOSX            }
{     license agreement.                                }
{                                                       }
{ Please inform you about special copyrights for these  }
{ portions on the apropriate web pages.                 }
{                                                       }
{*******************************************************}
{
  $Header: /cvsroot/dwpl/dwpl/source/rtl/wdosx/WDosCheck.pas,v 1.2 2002/10/27 22:53:12 iwache Exp $
  ----------------------------------------------------------------------------

  $Log: WDosCheck.pas,v $
  Revision 1.2  2002/10/27 22:53:12  iwache
  CVS tags "Header" and "Log" added.

  ----------------------------------------------------------------------------
}
{
  Version history:
    IWA 2001-08-21 some modifications for Delphi 6
    IWA 2001-05-25 Version 2.0.1.0 released
    IWA 2000-11-20 Version 1.1
    - This unit is for user notification in case
      one forgot about the WDosX DOS extender
}

unit WDosCheck;

interface

implementation

uses
  WDosResStrings;

function MessageBoxA(hWin: Integer; Title, Msg: PChar; Style: Integer): Integer;
    stdcall; external 'user32.dll' name 'MessageBoxA';
function GetModuleHandleA(lpFn: PChar): Integer; stdcall;
    external 'kernel32.dll' name 'GetModuleHandleA';
function GetProcAddress(hMod: Integer; PName: PChar): Integer; stdcall;
    external 'kernel32.dll' name 'GetProcAddress';
procedure ExitProcess(ExitCode: Integer); stdcall; external 'kernel32.dll'
    name 'ExitProcess';

initialization
  if GetProcAddress(GetModuleHandleA('kernel32.dll'), 'Borland32') =0 then
  begin
    MessageBoxA(0, PChar(SWithoutExtenderError),
        PChar(SWithoutExtenderDlgError), 0);
    ExitProcess($FF);
  end;
  { We never come here without WDOSX }

end.
